Hi,
The following code is generated while recording macro when I am trying to insert reference point using IFeatureManager::InsertReferencePoint() method
//==========================================================//
Sub main()
Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
boolstatus = Part.Extension.SelectByRay(-9.43314087686531E-03, 9.80732257376644E-02, -1.92419386792153E-04, -0.400036026779312, -0.515038074910024, -0.758094294050284, 1.44431968230414E-03, 1, True, 0, 0)
Dim vRefPointFeatures As Variant
vRefPointFeatures = Part.FeatureManager.InsertReferencePoint(2, 0, 0.01, 1)
End Sub
//===========================================================//
In the SelectByRay method, how we can decide the ray start point, ray direction vector and radius? (values are shown in bold above)
Thanks and Regards,
Mahadev
SolidworksApi/macros